View Issue Details

IDProjectCategoryView StatusLast Update
0002444SymmetricDSBugpublic2015-11-17 16:02
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.27 
Target Version3.7.27Fixed in Version3.7.27 
Summary0002444: DbExport fails when using "MSSQL" Type.
DescriptionSince there isn't a "MSSQL" database type per se, we will map this option to MSSQL2000. We chose to map to the oldest MSSQL dialect with the assumption that it would produce more broadly compatible SQL.

A full stack trace of the error, as reproduced from the Symmetric Pro console:

2015-11-12 21:26:10,678 ERROR [gui] [AppUI] [qtp910824485-19] Unable to create DML statements for unknown dialect: mssql
java.lang.RuntimeException: Unable to create DML statements for unknown dialect: mssql
        at org.jumpmind.db.platform.DmlStatementFactory.createDmlStatement(DmlStatementFactory.java:51)
        at org.jumpmind.db.platform.DmlStatementFactory.createDmlStatement(DmlStatementFactory.java:41)
        at org.jumpmind.symmetric.io.data.DbExport$WriterWrapper.startTable(DbExport.java:479)
        at org.jumpmind.symmetric.io.data.DbExport.writeTable(DbExport.java:214)
        at org.jumpmind.symmetric.io.data.DbExport.exportTables(DbExport.java:186)
        at org.jumpmind.symmetric.io.data.DbExport.exportTables(DbExport.java:161)
        at org.jumpmind.symmetric.io.data.DbExport.exportTables(DbExport.java:151)
        at org.jumpmind.symmetric.io.data.DbExport.exportTables(DbExport.java:120)
        at org.jumpmind.symmetric.ui.sqlexplorer.DbExportDialog$12.getStream(DbExportDialog.java:436)
        at com.vaadin.server.StreamResource.getStream(StreamResource.java:143)
        at com.vaadin.server.FileDownloader.handleConnectorRequest(FileDownloader.java:142)
        at com.vaadin.server.ConnectorResourceHandler.handleRequest(ConnectorResourceHandler.java:83)
        at com.vaadin.server.VaadinService.handleRequest(VaadinService.java:1406)
        at com.vaadin.server.VaadinServlet.service(VaadinServlet.java:305)
        at com.jumpmind.symmetric.console.ui.AppServlet.service(AppServlet.java:36)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:790)
        at org.eclipse.jetty.servlet.ServletHolder.handle(ServletHolder.java:808)
        at org.eclipse.jetty.servlet.ServletHandler.doHandle(ServletHandler.java:587)
        at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:143)
        at org.eclipse.jetty.security.SecurityHandler.handle(SecurityHandler.java:577)
        at org.eclipse.jetty.server.session.SessionHandler.doHandle(SessionHandler.java:223)
        at org.eclipse.jetty.server.handler.ContextHandler.doHandle(ContextHandler.java:1127)
        at org.eclipse.jetty.servlet.ServletHandler.doScope(ServletHandler.java:515)
        at org.eclipse.jetty.server.session.SessionHandler.doScope(SessionHandler.java:185)
        at org.eclipse.jetty.server.handler.ContextHandler.doScope(ContextHandler.java:1061)
        at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:141)
        at org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:97)
        at org.eclipse.jetty.server.Server.handle(Server.java:499)
        at org.eclipse.jetty.server.HttpChannel.handle(HttpChannel.java:310)
        at org.eclipse.jetty.server.HttpConnection.onFillable(HttpConnection.java:257)
        at org.eclipse.jetty.io.AbstractConnection$2.run(AbstractConnection.java:540)
        at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob(QueuedThreadPool.java:635)
        at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run(QueuedThreadPool.java:555)
        at java.lang.Thread.run(Thread.java:745)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 56647fec

2015-11-12 12:48:46

mmichalek

Details Diff
0002444: DbExport fails when using "MSSQL" Type.
0002444
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DbExport.java Diff File

SymmetricDS: master fd21d4c5

2015-11-12 12:48:46

mmichalek

Details Diff
0002444: DbExport fails when using "MSSQL" Type. (Merge)
0002444
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DbExport.java Diff File

SymmetricDS: 3.7 9cfc66e6

2015-11-12 12:52:57

mmichalek

Details Diff
0002444: DbExport fails when using "MSSQL" Type. - Don't mutate local
'compatible' field.

0002444
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DbExport.java Diff File

SymmetricDS: master 761c5ce1

2015-11-12 12:52:57

mmichalek

Details Diff
0002444: DbExport fails when using "MSSQL" Type. - Don't mutate local
'compatible' field.

0002444
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DbExport.java Diff File

Issue History

Date Modified Username Field Change
2015-11-12 11:42 mmichalek New Issue
2015-11-12 11:42 mmichalek Status new => assigned
2015-11-12 11:42 mmichalek Assigned To => mmichalek
2015-11-12 11:53 mmichalek Description Updated View Revisions
2015-11-12 13:00 mmichalek Changeset attached => SymmetricDS 3.7 9cfc66e6
2015-11-12 13:00 mmichalek Changeset attached => SymmetricDS 3.7 56647fec
2015-11-12 14:00 mmichalek Changeset attached => SymmetricDS master 761c5ce1
2015-11-12 14:00 mmichalek Changeset attached => SymmetricDS master fd21d4c5
2015-11-13 17:38 mmichalek Status assigned => resolved
2015-11-13 17:38 mmichalek Fixed in Version => 3.7.27
2015-11-13 17:38 mmichalek Status resolved => feedback
2015-11-13 17:38 mmichalek Resolution open => reopened
2015-11-13 17:38 mmichalek Status feedback => resolved
2015-11-13 17:38 mmichalek Resolution reopened => fixed
2015-11-17 16:02 chenson Status resolved => closed